org.apache.lucene.luke.models.analysis

## Class AnalysisImpl.ListBasedTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.luke.models.analysis.AnalysisImpl.ListBasedTokenStream

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  AnalysisImpl

    protected static final class AnalysisImpl.ListBasedTokenStream
    extends TokenStream

TokenStream that iterates over a list of pre-existing Tokens see org.apache.solr.handler.AnalysisRequestHandlerBase#ListBasedTokenStream

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenStream`
Throws:
  `IOException`

#### incrementToken

    public boolean incrementToken()

Specified by:
  `incrementToken` in class `TokenStream`